"use strict";
/*!
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebWorkerLoaderFactory = void 0;
const webWorkerLoader_1 = require("./webWorkerLoader");
/**
 * Factory for creating the proxy loader inside web worker. Use this if your environment
 * supports web worker.
 */
class WebWorkerLoaderFactory {
    constructor() {
        this.environment = "webworker";
    }
    async createProxyLoader(id, options, resolved, fromSequenceNumber) {
        return webWorkerLoader_1.WebWorkerLoader.load(id, options, resolved, fromSequenceNumber);
    }
}
exports.WebWorkerLoaderFactory = WebWorkerLoaderFactory;
//# sourceMappingURL=webWorkerLoaderFactory.js.map